%define section		free

Name:		libnb-javaparser
Version:	6.5
Release:	%mkrel 2
Epoch:		0
Summary:        NetBeans Java Parser
License:        GPLv2 with exceptions
Url:            http://java.netbeans.org/javaparser/
Group:          Development/Java
Source0:        http://java.netbeans.org/files/documents/25/2367/nb-javaparser-6.5-src.zip
BuildRequires:	java-rpmbuild >= 1.6
BuildRequires:  ant
BuildRequires:  ant-nodeps
BuildRequires:  java >= 1.6.0
Requires:       java >= 1.6.0
Provides:	netbeans-javaparser = %{version}
BuildArch:      noarch
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Java parser to analyse Java source files inside of the NetBeans IDE

%prep
%{__rm} -fr %{buildroot}
%{__rm} -fr nb-javaparser-6.5
%setup -n nb-javaparser-6.5
# remove all binary libs
find . -name "*.jar" -exec %{__rm} -f {} \;

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java 
ant -f make/netbeans/nb-javac/build.xml jar

%install
%{__rm} -fr %{buildroot}

# jar
%{__install} -d -m 755 %{buildroot}%{_javadir}
%{__install} -m 644 make/netbeans/nb-javac/dist/javac-api.jar %{buildroot}%{_javadir}/%{name}-api-%{version}.jar
%{__ln_s} %{name}-api-%{version}.jar %{buildroot}%{_javadir}/%{name}-api.jar
%{__install} -m 644 make/netbeans/nb-javac/dist/javac-impl.jar %{buildroot}%{_javadir}/%{name}-impl-%{version}.jar
%{__ln_s} %{name}-impl-%{version}.jar %{buildroot}%{_javadir}/%{name}-impl.jar

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_javadir}/*



%changelog
* Mon Jan 05 2009 Jaroslav Tulach <jtulach@mandriva.org> 0:6.5-1mdv2009.1
+ Revision: 324960
- Updating to version 6.5

* Wed Aug 13 2008 Jaroslav Tulach <jtulach@mandriva.org> 0:6.1-1mdv2009.0
+ Revision: 271348
- Updating the parser to 6.1 version

* Sat Jul 26 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:6.0-5mdv2009.0
+ Revision: 250291
- rebuild

* Wed Jan 23 2008 Jaroslav Tulach <jtulach@mandriva.org> 0:6.0-3mdv2008.1
+ Revision: 157149
- Updated to new upstream source package

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:6.0-2mdv2008.1
+ Revision: 120969
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Tue Dec 11 2007 Jaroslav Tulach <jtulach@mandriva.org> 0:6.0-1mdv2008.1
+ Revision: 117585
- Initial version of the NetBeans javaparser library
- create libnb-javaparser

